> For the complete documentation index, see [llms.txt](https://docs.aevo.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aevo.xyz/api-reference/urls/private-api/deleterfqs.md).

# DELETE /rfqs

Cancel all blocks.

`DELETE https://api.aevo.xyz/rfqs`

> **Authentication required.** Include your `AEVO-KEY` and `AEVO-SECRET` headers. See [Authentication](/api-reference/urls/authentication.md).

## Example Request

```bash
curl --request DELETE \
     --url https://api.aevo.xyz/rfqs \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>'
```

## Responses

**`200`** — Block cancellation status. If any blocks were successfully cancelled, they will be found in the `cancelled` field.

| Field       | Type           | Required | Description                                                                                                                      |
| ----------- | -------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------- |
| `cancelled` | array\[string] | No       | Block ID is the unique identifier of the block Example: `['0x4c43e0ab72a4edb72dfe4b129148899815d816837b9a7e22d964b884834639f8']` |

**`401`** — Unauthorized.

| Field   | Type   | Required | Description                            |
| ------- | ------ | -------- | -------------------------------------- |
| `error` | string | Yes      | Error message. Example: `UNAUTHORIZED` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |
